package net.wanji.utc;

import com.baomidou.mybatisplus.generator.FastAutoGenerator;
import com.baomidou.mybatisplus.generator.config.OutputFile;
import com.baomidou.mybatisplus.generator.engine.FreemarkerTemplateEngine;

import java.util.Collections;


/**
 * @author wuxiaokai
 * @date 2022/4/14 10:50:34
 */
public class MybatisPlusGenerator {

    private static final String PROJECT_PATH = System.getProperty("user.dir");
    private static final String OUTPUT_DIR = "signal-utc-service/src/main/java";
    private static final String AUTHOR = "wj";
    private static final String URL = "jdbc:mysql://10.100.1.74:3306/t_signal_utc?useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&allowMultiQueries=true&sessionVariables=sql_mode='STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION'&useSSL=false&useCursorFetch=true";
    private static final String DRIVER_NAME = "com.mysql.cj.jdbc.Driver";
    private static final String USERNAME = "root";
    private static final String PASSWORD = "Wanji300552";
    private static final String[] TABLES = {
            "t_cross_info",
            "t_cross_lights",
            "t_cross_phase",
            "t_cross_phase_lights",
            "t_cross_plan",
            "t_cross_schedules",
            "t_cross_scheme",
            "t_cross_section",
            "t_manufacturer_api_info",
            "t_manufacturer_info",
            "t_signal_status_log",
            "t_system_operate_log"
    };
    private static final String TEMPLATE_PATH = "/templates/mapper.xml.ftl";
    private static final String MAPPER_PATH = "signal-utc-service/src/main/resources/mapper/";
    private static final String PARENT = "net.wanji.utc";


    public static void main(String[] args) {
        FastAutoGenerator.create(URL, USERNAME, PASSWORD)
                .globalConfig(builder -> {
                    builder.author(AUTHOR) // 设置作者
//                            .enableSwagger() // 开启 swagger 模式
                            .fileOverride() // 覆盖已生成文件
                            .outputDir(OUTPUT_DIR) // 指定输出目录
                            .disableOpenDir();//禁止打开输出目录
                })
                .packageConfig(builder -> {
                    builder.parent(PARENT)// 设置父包名
                            //.moduleName(null) // 设置父包模块名
                            .pathInfo(Collections.singletonMap(OutputFile.mapperXml, MAPPER_PATH)); // 设置mapperXml生成路径
                })
                .strategyConfig(builder -> {
                    builder.addInclude(TABLES) // 设置需要生成的表名
                            //.addTablePrefix(null) // 设置过滤表前缀
                            //Service 策略配置
                            .serviceBuilder()
                            .formatServiceFileName("%sService")//格式化 service 接口文件名称
                            .formatServiceImplFileName("%sServiceImpl")//格式化 service 实现类文件名称
                            //Entity 策略配置
                            .entityBuilder()
                            .enableChainModel()//开启链式模型
                            .enableLombok()//开启Lombok模型
                            .enableTableFieldAnnotation()//开启生成实体时生成字段注解
                            //.logicDeleteColumnName("deleted")//默认删除属性名称（数据库）
                            //.logicDeletePropertyName("deleted")//默认删除属性名称（实体）
                            //.versionColumnName("version")//乐观锁属性名（数据库）
                            //.versionPropertyName("version")//乐观锁属性名（实体）
                            //.addTableFills(new Column("create_Time", FieldFill.INSERT))//添加表字段填充(自动填充)
                            //.addTableFills(new Column("update_Time", FieldFill.INSERT_UPDATE))//添加表字段填充（自动填充）
                            //controller 策略配置
                            .controllerBuilder()
                            .enableRestStyle();//开启生成@RestController 控制器
                })
                .templateEngine(new FreemarkerTemplateEngine()) // 使用Freemarker引擎模板，默认的是Velocity引擎模板
                .execute();
    }
}
