package net.wanji.utc.controller;

import net.wanji.utc.common.constant.Constants;
import net.wanji.utc.service.StaticInfoService;
import net.wanji.utc.common.baseentity.BaseCrossInfo;
import net.wanji.utc.vo.CrossInfoInVO;
import net.wanji.utc.common.genericentity.OutVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Date;

/**
 * 静态信息接口
 *
 * @date 2022/11/15 9:38
 */
@Api(value = "静态信息接口", description = "静态信息接口")
@RequestMapping("/staticInfo")
@RestController
public class StaticInfoController {
    @Autowired
    StaticInfoService staticInfoService;

    @PostMapping("/crossInfo")
    @ApiOperation(value = "信号路口基础信息", notes = "信号路口基础信息")
    public ResponseEntity crossInfo(HttpServletRequest request, @RequestBody CrossInfoInVO crossInfoInVO) {
        OutVO<BaseCrossInfo> outVO = new OutVO<>();
        String manufacturerId = crossInfoInVO.getManufacturerId();
        outVO.setManufacturerId(manufacturerId);
        outVO.setUpdatetime(new Date());
        outVO.setSystemAbbr(Constants.SYSTEM_ABBR);

        staticInfoService.crossBasicInfo(outVO);
        // todo 返回值
        return null;

    }
}
