package net.wanji.utc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 路口基础表
 * </p>
 *
 * @author wj
 * @since 2022-11-15
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_cross_info")
public class TCrossInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 路口ID
     */
    @TableId("id")
    private String id;

    /**
     * 路口名称
     */
    @TableField("name")
    private String name;

    /**
     * 信号机编号
     */
    @TableField("code")
    private String code;

    /**
     * 厂商ID
     */
    @TableField("manufacturer_id")
    private Integer manufacturerId;

    /**
     * 信号机IP
     */
    @TableField("ip")
    private String ip;

    /**
     * 信号机端口
     */
    @TableField("port")
    private Integer port;

    /**
     * 经纬度
     */
    @TableField("location")
    private String location;

    /**
     * 版本号
     */
    @TableField("version")
    private String version;

    /**
     * 型号
     */
    @TableField("model")
    private String model;

    /**
     * 安装时间
     */
    @TableField("install_time")
    private LocalDateTime installTime;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private LocalDateTime gmtCreate;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private LocalDateTime gmtModified;


}
