package net.wanji.utc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 路口灯组表
 * </p>
 *
 * @author wj
 * @since 2022-11-15
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_cross_lights")
public class TCrossLights implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 灯组ID
     */
    @TableId("id")
    private Integer id;

    /**
     * 灯组号
     */
    @TableField("no")
    private String no;

    /**
     * 灯组名称
     */
    @TableField("name")
    private String name;

    /**
     * 灯组类型：1箭头，2圆饼，3行人
     */
    @TableField("type")
    private Integer type;

    /**
     * 灯组方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北
     */
    @TableField("dir")
    private Integer dir;

    /**
     * 灯组转向：1左转；2右转；3直行；4左掉头；5直左；6直右；7右掉头；8向左合流；9向右合流；10左转加掉头；11右转加掉头；12直行加左掉头；13直行加右掉头；14左转右转；15左直右；16左转右转加掉头；17左直掉头；18左直右掉头；20行人
     */
    @TableField("turn")
    private Integer turn;

    /**
     * 路口ID
     */
    @TableField("cross_id")
    private String crossId;

    /**
     * 行人进出口：1进口，2出口，3进出口
     */
    @TableField("in_out_type")
    private Integer inOutType;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private LocalDateTime gmtCreate;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private LocalDateTime gmtModified;


}
