package net.wanji.utc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 路口相位表
 * </p>
 *
 * @author wj
 * @since 2022-11-15
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_cross_phase")
public class TCrossPhase implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 相位ID
     */
    @TableId("id")
    private Integer id;

    /**
     * 相位号
     */
    @TableField("no")
    private String no;

    /**
     * 相位名称
     */
    @TableField("name")
    private String name;

    /**
     * 相位序号
     */
    @TableField("sort")
    private Integer sort;

    /**
     * 路口ID
     */
    @TableField("cross_id")
    private String crossId;

    /**
     * 方案ID
     */
    @TableField("plan_id")
    private Integer planId;

    /**
     * 环号
     */
    @TableField("ring_no")
    private Integer ringNo;

    /**
     * 控制模式：1定周期；2绿灯；3黄灯；4红灯；5关灯；6绿闪；7黄闪；8红闪
     */
    @TableField("control_mode")
    private Integer controlMode;

    /**
     * 相位时间
     */
    @TableField("phase_time")
    private Integer phaseTime;

    /**
     * 绿灯时间
     */
    @TableField("green_time")
    private Integer greenTime;

    /**
     * 绿闪时间
     */
    @TableField("green_flash_time")
    private Integer greenFlashTime;

    /**
     * 行闪时间
     */
    @TableField("ped_flash_time")
    private Integer pedFlashTime;

    /**
     * 黄灯时间
     */
    @TableField("yellow_time")
    private Integer yellowTime;

    /**
     * 红灯时间
     */
    @TableField("red_time")
    private Integer redTime;

    /**
     * 最小绿灯时间
     */
    @TableField("min_green_time")
    private Integer minGreenTime;

    /**
     * 最大绿灯时间
     */
    @TableField("max_green_time")
    private Integer maxGreenTime;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private LocalDateTime gmtCreate;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private LocalDateTime gmtModified;


}
