package net.wanji.utc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 相位灯组关系表
 * </p>
 *
 * @author wj
 * @since 2022-11-15
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_cross_phase_lights")
public class TCrossPhaseLights implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("id")
    private Integer id;

    /**
     * 灯组ID
     */
    @TableField("lights_id")
    private Integer lightsId;

    /**
     * 相位ID
     */
    @TableField("phase_id")
    private Integer phaseId;

    /**
     * 路口ID
     */
    @TableField("cross_id")
    private String crossId;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private LocalDateTime gmtCreate;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private LocalDateTime gmtModified;


}
