package net.wanji.utc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 路口计划表
 * </p>
 *
 * @author wj
 * @since 2022-11-15
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_cross_plan")
public class TCrossPlan implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 计划ID
     */
    @TableId("id")
    private Integer id;

    /**
     * 计划号
     */
    @TableField("no")
    private String no;

    /**
     * 计划名称
     */
    @TableField("name")
    private String name;

    /**
     * 路口ID
     */
    @TableField("cross_id")
    private String crossId;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private LocalDateTime gmtCreate;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private LocalDateTime gmtModified;


}
