package net.wanji.utc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 时间表
 * </p>
 *
 * @author wj
 * @since 2022-11-15
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_cross_schedules")
public class TCrossSchedules implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 日期ID
     */
    @TableId("id")
    private Integer id;

    /**
     * 日期名称
     */
    @TableField("name")
    private String name;

    /**
     * 路口ID
     */
    @TableField("cross_id")
    private String crossId;

    /**
     * 计划ID
     */
    @TableField("plan_id")
    private Integer planId;

    /**
     * 星期：1周一，2周二，3周三，4周四，5周五，6周六，7周日，0特殊日期
     */
    @TableField("week")
    private Integer week;

    /**
     * 特殊日期
     */
    @TableField("special_date")
    private LocalDateTime specialDate;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private LocalDateTime gmtCreate;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private LocalDateTime gmtModified;


}
