package net.wanji.utc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 信号方案表
 * </p>
 *
 * @author wj
 * @since 2022-11-15
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_cross_scheme")
public class TCrossScheme implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 方案ID
     */
    @TableId("id")
    private Integer id;

    /**
     * 方案号
     */
    @TableField("no")
    private String no;

    /**
     * 方案名称
     */
    @TableField("name")
    private String name;

    /**
     * 路口ID
     */
    @TableField("cross_id")
    private String crossId;

    /**
     * 周期
     */
    @TableField("cycle")
    private Integer cycle;

    /**
     * 协调相位ID
     */
    @TableField("coord_phase")
    private Integer coordPhase;

    /**
     * 相位差
     */
    @TableField("offset")
    private Integer offset;

    /**
     * 数据来源：1信号机；2平台
     */
    @TableField("source")
    private Integer source;

    /**
     * 删除标识：1删除；0未删除
     */
    @TableField("is_deleted")
    private Integer isDeleted;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private LocalDateTime gmtCreate;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private LocalDateTime gmtModified;


}
