package net.wanji.utc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 路口时段表
 * </p>
 *
 * @author wj
 * @since 2022-11-15
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_cross_section")
public class TCrossSection implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 时段ID
     */
    @TableId("id")
    private Integer id;

    /**
     * 时段号
     */
    @TableField("no")
    private String no;

    /**
     * 开始时间
     */
    @TableField("start_time")
    private String startTime;

    /**
     * 结束时间
     */
    @TableField("end_time")
    private String endTime;

    /**
     * 路口ID
     */
    @TableField("cross_id")
    private String crossId;

    /**
     * 计划ID
     */
    @TableField("plan_id")
    private Integer planId;

    /**
     * 控制模式：1定周期；2绿波协调；3黄闪；4全红；5关灯；6单点自适应；7全感应；8半感应；9
     */
    @TableField("control_mode")
    private Integer controlMode;

    /**
     * 方案ID
     */
    @TableField("sceme_id")
    private Integer scemeId;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private LocalDateTime gmtCreate;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private LocalDateTime gmtModified;


}
