package net.wanji.utc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 厂商平台接口表
 * </p>
 *
 * @author wj
 * @since 2022-11-15
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_manufacturer_api_info")
public class TManufacturerApiInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 接口ID
     */
    @TableId("id")
    private Integer id;

    /**
     * 接口代码
     */
    @TableField("code")
    private String code;

    /**
     * 接口名称
     */
    @TableField("name")
    private String name;

    /**
     * 接口类型：1、静态；2、动态；3、控制
     */
    @TableField("type")
    private Integer type;

    /**
     * 请求方式：get、post
     */
    @TableField("method")
    private String method;

    /**
     * 接口地址
     */
    @TableField("address")
    private String address;

    /**
     * 厂商ID
     */
    @TableField("manufacturer_id")
    private Integer manufacturerId;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private LocalDateTime gmtCreate;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private LocalDateTime gmtModified;


}
