package net.wanji.utc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 厂商基础表
 * </p>
 *
 * @author wj
 * @since 2022-11-15
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_manufacturer_info")
public class TManufacturerInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 厂商ID
     */
    @TableId("id")
    private Integer id;

    /**
     * 厂商代码
     */
    @TableField("code")
    private String code;

    /**
     * 厂商名称
     */
    @TableField("name")
    private String name;

    /**
     * 厂商简称
     */
    @TableField("nick_name")
    private String nickName;

    /**
     * 平台地址
     */
    @TableField("address")
    private String address;

    /**
     * 维护单位
     */
    @TableField("maintenance_unit")
    private String maintenanceUnit;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private LocalDateTime gmtCreate;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private LocalDateTime gmtModified;


}
