package net.wanji.utc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 信号机状态日志表
 * </p>
 *
 * @author wj
 * @since 2022-11-15
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_signal_status_log")
public class TSignalStatusLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 日志ID
     */
    @TableId("id")
    private Integer id;

    /**
     * 信号机ID
     */
    @TableField("signal_id")
    private String signalId;

    /**
     * 信号状态：0离线；1在线
     */
    @TableField("status")
    private Integer status;

    /**
     * 故障类型：0正常；1检测器故障；2时钟故障；3电源故障；4驱动模块故障；5信号灯故障；6箱门开启；7方案错误；8绿冲突；9红全熄；10行人红熄；
     */
    @TableField("fault_type")
    private Integer faultType;

    /**
     * 控制类型：1时间表；2全红；3黄闪；4锁定；5中心优化；6MEC优化；7现场手动
     */
    @TableField("control_type")
    private Integer controlType;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private LocalDateTime gmtCreate;


}
