package net.wanji.utc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 系统操作日志表
 * </p>
 *
 * @author wj
 * @since 2022-11-15
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_system_operate_log")
public class TSystemOperateLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 日志ID
     */
    @TableId("id")
    private Integer id;

    /**
     * 访问地址
     */
    @TableField("url")
    private String url;

    /**
     * 调用方IP
     */
    @TableField("ip")
    private String ip;

    /**
     * 操作用户
     */
    @TableField("opt_user")
    private String optUser;

    /**
     * 操作类型：1添加；2删除；3修改；4查询
     */
    @TableField("opt_type")
    private Integer optType;

    /**
     * 请求参数
     */
    @TableField("args")
    private String args;

    /**
     * 响应状态
     */
    @TableField("status")
    private String status;

    /**
     * 响应结果
     */
    @TableField("result")
    private String result;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private LocalDateTime gmtCreate;


}
